package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLockType;
import com.ktg.iscs.domain.vo.lockType.IsLockTypeVO;

import java.util.List;

/**
 * 物资类型Service接口
 *
 * @author cgj
 * @date 2024-11-12
 */
public interface IIsLockTypeService extends IService<IsLockType>
{
    /**
     * 查询物资类型
     *
     * @param lockTypeId 物资类型主键
     * @return 物资类型
     */
    IsLockType selectIsLockTypeByLockTypeId(Long lockTypeId);

    /**
     * 查询物资类型列表
     *
     * @param isLockType 物资类型
     * @return 物资类型集合
     */
    List<IsLockType> selectIsLockTypeList(IsLockType isLockType);

    /**
     * 新增物资类型
     *
     * @param isLockType 物资类型
     * @return 结果
     */
    int insertIsLockType(IsLockType isLockType);

    /**
     * 修改物资类型
     *
     * @param isLockType 物资类型
     * @return 结果
     */
    int updateIsLockType(IsLockType isLockType);

    /**
     * 批量删除物资类型
     *
     * @param lockTypeIds 需要删除的物资类型主键集合
     * @return 结果
     */
    int deleteIsLockTypeByLockTypeIds(String lockTypeIds);

    /**
     * 删除物资类型信息
     *
     * @param lockTypeId 物资类型主键
     * @return 结果
     */
    int deleteIsLockTypeByLockTypeId(Long lockTypeId);

    Page<IsLockTypeVO> getIsLockTypePage(Page<IsLockType> page, IsLockType isLockType);

}
